Bug 1154526 - fi_FI compose keys not working after installation
Summary: fi_FI compose keys not working after installation
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-20 05:42 UTC by Marko Myllynen
Modified: 2016-06-02 02:37 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-02 02:37:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Marko Myllynen 2014-10-20 05:42:21 UTC
Description of problem:
After installing F21 Alpha using Finnish for language and keyboard, fi_FI compose keys are not in use although LC_CTYPE=fi_FI.utf8.

Earlier related bug about this was https://bugzilla.redhat.com/show_bug.cgi?id=1013651. See especially https://bugzilla.redhat.com/show_bug.cgi?id=1013651#c13.

The highly unintuitive step mentioned in bug 1013651#c13 is still needed to make this work, so the question is do we want to enable this by default or make enabling it a bit more intuitive or at least document this?

Additional info:
The quick test to see whether fi_FI compose keys work is that with LC_CTYPE=fi_FI.UTF-8 dead_acute + space should produce acute (not apostrophe as with en_US.UTF-8).

Comment 1 fujiwara 2014-10-20 07:18:32 UTC
Because only ibus side is fixed but gtk+ is not fixed yet.
https://bugzilla.gnome.org/show_bug.cgi?id=721120

Personally I also like gnome-shell always use ibus for XKB sources but currently ibus is enabled when an IME source is enabled.

Transferring to gnome-shell or gtk3.

Comment 2 fujiwara 2014-11-14 10:34:37 UTC
Fedora 21 gnome-shell always uses ibus so I think your problem is fixed.

Comment 3 Marko Myllynen 2014-12-30 10:57:01 UTC
I'm sorry but I think it's a bit premature to close this one at this point given the upstream patch is not yet accepted and this does not yet work on Fedora. I'd like to see this kept open (assigned to another component if needed) until this is works as expected.

Thanks.

Comment 4 fujiwara 2015-01-05 05:58:46 UTC
(In reply to Marko Myllynen from comment #3)
> and this does not yet work on Fedora.

Did you check GNOME in the stable Fedora 21?
Now GNOME always uses ibus and I think the gtk+ patch is not required for this bug.

Comment 5 Marko Myllynen 2015-01-05 10:15:30 UTC
(In reply to fujiwara from comment #4)
> (In reply to Marko Myllynen from comment #3)
> > and this does not yet work on Fedora.
> 
> Did you check GNOME in the stable Fedora 21?
> Now GNOME always uses ibus and I think the gtk+ patch is not required for
> this bug.

I retested this and noticed that with up-to-date F21 this works as expected under xterm but not under gnome-terminal. So perhaps the GTK+ patch is still needed?

Thanks.

Comment 6 fujiwara 2015-01-06 02:38:01 UTC
Probably I think it's a problem in the first session and your dbus-daemon runs before ibus-daemon runs at the first session.
You need to set LANG=fi_FI.UTF-8 (suomi) with gnome-control-center and log into the gnome session again so that ibus-daemon runs on fi_FI.UTF-8.

or run /usr/libexec/gnome-terminal-server before run gnome-terminal.

Comment 7 Marko Myllynen 2015-01-06 18:37:35 UTC
(In reply to fujiwara from comment #6)
> Probably I think it's a problem in the first session and your dbus-daemon
> runs before ibus-daemon runs at the first session.
> You need to set LANG=fi_FI.UTF-8 (suomi) with gnome-control-center and log
> into the gnome session again so that ibus-daemon runs on fi_FI.UTF-8.

No, I had LC_CTYPE=fi_FI.UTF-8 in use already. I now tried even rebooting after setting LANG=fi_FI.UTF-8 in /etc/locale.conf, then after logging into GNOME "locale" shows fi_FI.UTF-8 to be in use for all the locale categories but gnome-terminal vs xterm are still different.

Thanks.

Comment 8 fujiwara 2015-01-07 10:06:09 UTC
I cannot reproduce your problem.
Do you install ibus packages?
If you run /usr/libexec/gnome-terminal-server firstly and gnome-terminal secondary and gnome-terminal could work fine, your locale setting would be wrong.

Comment 9 Marko Myllynen 2015-01-07 11:16:18 UTC
(In reply to fujiwara from comment #8)
> I cannot reproduce your problem.
> Do you install ibus packages?

I installed Fedora Workstation using Fedora-Server-netinst-x86_64-21.iso, rpm -qa | grep -c ibus says 17.

> If you run /usr/libexec/gnome-terminal-server firstly and gnome-terminal
> secondary and gnome-terminal could work fine, your locale setting would be
> wrong.

This doesn't make any difference. Since I get the expected behaviour with xterm using en_US.UTF-8 or fi_FI.UTF-8 I think my locale settings are ok.

After installation (where I used English for language and Finnish for keyboard) I logged into console as root to apply updates and rebooted, then logging into GNOME and testing xterm gives en_US behaviour (as expected). After adding LC_CTYPE=fi_FI.UTF-8 line to /etc/locale.conf and rebooting I get fi_FI behaviour with xterm (as expected) but nothing changes for gnome-terminal.

Thanks.

Comment 10 fujiwara 2015-01-08 10:55:24 UTC
(In reply to Marko Myllynen from comment #9)

Sorry, you're right.
gnome-settings-daemon still checks if the input sources include ibus engines while gnome-shell always runs ibus-daemon and it tracks the value of gsettings org.gnome.desktop.interface gtk-im-module.

The workaround is still needed or export GTK_IM_MODULE=ibus in .profile.

Comment 11 Fedora End Of Life 2015-11-04 15:46:22 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 fujiwara 2015-11-05 02:14:07 UTC
Will be fixed in f24.

Comment 13 Jan Kurik 2016-02-24 13:16:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 14 Marko Myllynen 2016-06-01 12:12:42 UTC
I'm happy to confirm this now works ok on Fedora 24.

On a fresh system I booted with LANG=fi_FI.UTF-8 in /etc/locale.conf and after logging in and starting gnome-terminal, dead_acute + space now produce acute (ยด) and not apostrophe (') as expected. On a system with LANG=en_US.UTF-8 dead_acute + space still produces apostrophe.

(It is not possible to open two gnome-terminal under different locale and have different behaviour for them but that's expected.)

Thanks for your help, please feel free to close this (unless automation won't close this later).


Note You need to log in before you can comment on or make changes to this bug.